Lintian ReportsBETA

Wlink-to-shared-library-in-wrong-package

Tag versions

The tag is present in Lintian version 2.104.328. That is the most recent version we know about.

Although this package is not a "-dev" package, it installs a "libsomething.so" symbolic link referencing the corresponding shared library. When the link doesn't include the version number, it is used by the linker when other programs are built against this shared library.

Shared libraries are supposed to place such symbolic links in their respective "-dev" packages, so it is a bug to include it with the main library package.

However, if this is a small package which includes the runtime and the development libraries, this is not a bug. In the latter case, please override this warning.

Please refer to Debian Policy Manual section 8.4 for details.

Visibility: warning

Check: shared-libs

Renamed from:

The following 141 source packages in the archive triggered the tag 516 times.

We found 149 overrides. The tag performed 71% of the time.